'变色，将现有颜色变为比较接近有明显分辨的
'BianColor（ nColor as Long,变量 as  UByte =50
Function BianColor(ByVal nColor as Long, Bian as UByte = 50) as Long '变色
   Dim a as UByte Ptr
   Dim as Long i
   a = CPtr(UByte Ptr, VarPtr(nColor))
   For i = 0 To 2
      'If @a[i]>127 Then @a[i]=0 Else @a[i]=255
      If a[i] > 127 Then a[i] -= Bian Else a[i] += Bian
   Next
   Function = nColor
End Function